## pymecavideo 8.0

=== Makefile ===
DESTDIR =
HELPFILES = $(shell ls -d data/help/help-*.html data/help/*.png data/help/*.svg data/help/*.css data/help/static)
PACKAGE = python3-mecavideo
MANPAGES_LANG_SRC = $(shell ls pymecavideo.??.xml)
MANPAGES_LANG  = $(patsubst %.xml, %.1, $(MANPAGES_LANG_SRC))

all:
	for d in src data/help; do \
	  DESTDIR=$(DESTDIR) $(MAKE) -C $$d $@ ;\
	done

manpages: pymecavideo.1  $(MANPAGES_LANG)

pymecavideo.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

%.1 : %.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl $<

clean:
	rm -rf build
	rm -f video_*.jpg src/interfaces/Ui_* src/interfaces/*_rc.py
	rm -f data/lang/*.qm
	find . -name __pycache__ -o -name "*~" | xargs rm -rf


.PHONY: clean all manpages

=== requirements.txt ===
numpy
python-opencv
pandas
python-qt5
nbformat
pyqtgraph

=== src/Makefile ===
DESTDIR = 
HELPFILES = $(shell ls help | grep -E 'xhtml$$|css$$|png$$')
LRELEASE = /usr/lib/qt5/bin/lrelease
SOURCES = $(shell ls *.py | grep -v Ui_)
TRANSLATIONS = $(shell find ../data/lang -name *.ts)
COMPILED_TRANSLATIONS = $(patsubst %.ts, %.qm, $(TRANSLATIONS))
GUIS = $(shell ls interfaces/*.ui)
GRAPHS = $(shell ls *.dot)
GRAPHS_SVG = $(patsubst %.dot, %.svg, $(GRAPHS))
DOC_DEV = $(shell ls *.md)
DOC_DEV_HTML = $(patsubst %.md, %.html, $(DOC_DEV))
LRELEASE = /usr/lib/qt6/bin/lrelease

all: $(GRAPHS_SVG) $(DOC_DEV_HTML) $(COMPILED_TRANSLATIONS) helpfiles
	cd interfaces; $(MAKE) $@

%.svg : %.dot
	dot -Tsvg $< -o $@ || true

%.html : %.md $(GRAPHS_SVG)
	pandoc --standalone $< -o $@

$(TRANSLATIONS): $(SOURCES) $(GUIS)
	for t in $(TRANSLATIONS); do \
	  LC_ALL=en_US.UTF-8 pylupdate6 --ts $$t $(SOURCES) $(GUIS); \
	done

%.qm: %.ts
	$(LRELEASE) ../data/lang/*.ts 2>&1 | grep -A2 "Updating"


helpfiles:
	@$(MAKE) -C ../data/help


pymecavideo.1: manpage.xml
	xsltproc --nonet /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl manpage.xml

clean:
	rm -rf build
	rm -f video_*.jpg *~ Ui_* *.pyc *.txt *.1 ../data/lang/*.qm *.log

install-for-debian: all install-bin install-man install-help install-media fix-install

install-bin:
	install -m 755 pymecavideo $(DESTDIR)/usr/bin

install-man:
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz

install-help:
	mkdir -p $(DESTDIR)/usr/share/doc/python-mecavideo/html
	for f in $(HELPFILES); do \
	  cp help/$$f $(DESTDIR)/usr/share/doc/python-mecavideo/html; \
	done

install-media:
	install -m 0644 ../data/icones/pymecavideo.xpm icones/pymecavideo-64x64.xpm \
	  $(DESTDIR)/usr/share/pixmaps
	install -m 0644 ../data/pymecavideo.desktop $(DESTDIR)/usr/share/applications
	install -m 0644 ../data/icones/pymecavideo.svg icones/pymecavideo.png \
	  $(DESTDIR)/usr/share/icons
	for d in icones video; do \
	  cp -a $$d $(DESTDIR)/usr/share/python-mecavideo ; \
	done

fix-install:
	find $(DESTDIR)/usr/share/python-mecavideo -name COPYING -exec rm {} \;
	find $(DESTDIR)/usr/share/python-mecavideo -type f -exec chmod 644 {} \;

install-ordinaire: all
	python3 setup.py install
	install -m 755 pymecavideo $(DESTDIR)/usr/bin
	mkdir -p $(DESTDIR)/usr/share/man/man1
	gzip -c9 pymecavideo.1 > $(DESTDIR)/usr/share/man/man1/pymecavideo.1.gz
	install -m 0644 ../data/icones/pymecavideo.xpm icones/pymecavideo-64x64.xpm \
	  $(DESTDIR)/usr/share/pixmaps
	install -m 0644 ../data/pymecavideo.desktop $(DESTDIR)/usr/share/applications
	install -m 0644 ../data/icones/pymecavideo.svg icones/pymecavideo.png \
	  $(DESTDIR)/usr/share/icons

.PHONY: clean all install-for-debian install-mime install-bin install-man install-help install-media fix-install install-ordinaire helpfiles

=== data/help/Makefile ===
SOURCES=$(shell ls *.md)
SOURCES_W32 = $(shell ls *.svg) # image sources (width 32 px)
GENERATED_W32 = $(patsubst %.svg, %-w32.png, $(SOURCES_W32)) # generated images
TARGETS=$(SOURCES:.md=.html)

all: $(TARGETS) images help-fr.html

%.html: %.md
	pandoc --css help-style.css --css static/jquery-ui/themes/base/jquery-ui.css --standalone $< -o $@

images: $(GENERATED_W32)

%-w32.png: %.svg
	if [ -x /usr/bin/rsvg-convert ]; then \
	  rsvg-convert -w 32 $< -o $@; \
	else \
	  inkscape --export-png=$@ --export-width=32 $<; \
	fi

clean:
	rm -f *~ *.html
	rm -f $(GENERATED_W32)

=== data/help/dev/Makefile ===
DESTDIR =

all: reference_html.tar.gz

reference_html.tar.gz: force
	doxygen
	cd out; tar --exclude="*.md5" --exclude="*.map" -czf \
	  ../reference_html.tar.gz html

clean:
	rm -rf out/

.PHONY: all clean force

=== debian/changelog ===
pymecavideo (8.0-2) unstable; urgency=medium

  * fixed wrong escaped characters. Closes: #1085813

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Oct 2024 14:51:10 +0200

pymecavideo (8.0-1) unstable; urgency=medium

  * New upstream version 8.0
  * patched src/version.py to read the version number from debian/changelog
    Closes: #1077395

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2024 11:11:38 +0200

pymecavideo (8.0~rc10-3) unstable; urgency=medium

  * Bumped Standards-Version: 4.7.0
  * Removed X-Python3-Version stance
  * Fixed the watch file

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 10 May 2024 16:05:56 +0200

=== debian/control ===
Source: pymecavideo
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 python3-all,
 python3-setuptools,
 dh-python,
 qt6-base-dev-tools,
 pyqt6-dev-tools,
 qt6-l10n-tools,
 librsvg2-bin,
 xvfb,
 xauth,
 libxcb-image0,
 libxcb-keysyms1,
 libxcb-render-util0,
 libxcb-xkb1,
 libxkbcommon-x11-0,
 python3-pyqt6,
 xdg-utils,
 python3-opencv,
 python3-odf,
 python3-pyqtgraph,
 python3-magic,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/georgesk/pymecavideo
Vcs-Git: https://salsa.debian.org/georgesk/pymecavideo.git

Package: python3-mecavideo
Provides: python-mecavideo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
 python3-pyqt6,
 xdg-utils,
 python3-opencv,
 python3-odf,
 python3-pyqtgraph,
 python3-magic,
 shared-mime-info
Recommends:
 mencoder,
 python3-pandas,
 python3-nbformat
Description: pedagogic tool to analyze video records for mechanics
 You can track the movement of one or many points in video frames and export
 the position measurements to standard analysis tools.

=== debian/watch ===
version=4

# Direct Git.
opts="mode=git" https://gitlab.com/oppl/pymecavideo.git \
    refs/tags/v([\d\.]+)
